Bug 675945 - xchat never connects to freenode but web freenode works fine (with vid)
xchat never connects to freenode but web freenode works fine (with vid)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
14
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-08 06:44 EST by pleabargain
Modified: 2013-04-02 00:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 09:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pleabargain 2011-02-08 06:44:02 EST
Description of problem:

xchat won't connect to freenode though freenode is live and well
Version-Release number of selected component (if applicable):
2.8.8

How reproducible:
all the time

Steps to Reproduce:
1.go to xchat
2.log in
3.wait
  
Actual results:
 Python interface loaded
 Perl interface loaded
* Looking up irc.freenode.net.... for ever

Expected results:
should log in quick like a bunny

Additional info:
http://www.youtube.com/watch?v=Nj20Dv5ugF8
Comment 2 Ryan 2012-04-12 13:33:37 EDT
same issue here, prior to updates in the last week I was able to connect without issue, but since that time it seems to be inserting rubbish characters into the username when submitting to freenode (e.g. ~) constantly looping on the following for me with each different server:

* Looking up irc.freenode.net
* Connecting to chat.freenode.net (82.96.64.4) port 8002...
* Connected. Now logging in...
* *** Looking up your hostname...
* *** Checking Ident
* *** Found your hostname
* *** No Ident response
* *** Your username is invalid. Please make sure that your username contains only alphanumeric characters.
* Closing Link: <my ip address> (Invalid username [~_xxx]) [where xxx is my username]
* Disconnected (Remote host closed socket).
 Cycling to next server in FreeNode...
* Disconnected ().

funnily enough, I can connect via konversation, and then re-connect xchat and it works (except it detects my username in use). I have tried removing my personal preferences and recreating the connection to no avail...
Comment 3 Ryan 2012-04-12 13:34:40 EDT
oh yeah...running f16 3.3.1-3 kernel as well and xchat 2.8.8
Comment 4 Ryan 2012-04-16 12:49:44 EDT
ignore my report, issue was resolved by only using nickname for my username and putting random data into "real name" and "username" see bug 812088
Comment 5 Fedora End Of Life 2012-08-16 09:38:38 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.